<!DOCTYPE html>
<html>
<head>
  <title>WhatsApp Web</title>
  <link rel="stylesheet" href="css/estilosChat.css">
</head>
<body>
  <div class="contenedor">
    <div class="barra-lateral">
      <div id="salaFormulario">
        <form id="unirseSalaForm">
          <input type="text" placeholder="Nombre de la sala" id="nombreSalaInput">
          <input type="submit" value="Unirse a la sala">
        </form>
      </div>
      <ul class="lista-contactos" id="listaContactos"></ul>
      <div class="divBtnCerrarSesion">
        <button id="cerrarSesionBtn">
          <a href="../logout">Cerrar sesión</a>
        </button>
      </div>
    </div>

    <div class="area-chat">
      <div class="encabezado" id="encabezado-chat"></div>
      <div class="ventana-chat" id="ventanaChat">
        <!-- Los mensajes se agregarán dinámicamente aquí -->
      </div>
      <div class="area-input">
        <input type="text" placeholder="Escribe un mensaje" id="mensajeInput" disabled>
        <button onclick="enviarMensaje()" disabled>Enviar</button>
      </div>
      <button id="salirSalaBtnAreaChat" style="display: none;">Salir de la sala</button>
    </div>
  </div>
  <textarea name="nombreUsuario" id="nombreUsuario" style="display: none;"><%=nombre%></textarea>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/4.2.0/socket.io.js"></script>
  <script src="scripts\cliente.js"></script>
</body>
</html>
